#!/bin/bash - 

[ -r /etc/default/ipg ] && . /etc/default/ipg

write_part ()
{
    echo "    <VERSIONINFORMATION>"

    echo "        <PART>${pn_str}</PART>"
    echo "        <VERSION>${ver_str}</VERSION>"
    echo "        <DESCRIPTION>${desc_str}</DESCRIPTION>"
    if [ -n "${name_str}" ] ; then
	echo "        <SHORT-NAME>${name_str}</SHORT-NAME>"
	name_str=""
    fi

    echo "    </VERSIONINFORMATION>"
}

app_part ()
{
  #  local ver_temp=`rpm -q mark-app | sort | tail -1`
    ver_str=`${MARKDAEMON} -v`
    pn_str=`${MARKDAEMON} -n`
    desc_str=`${MARKDAEMON} -d`
    name_str=`${MARKDAEMON} -s`

    write_part
}

laser_user_part ()
{
    ver_str="${IPG_VERSION}"
    pn_str="P60-001372"
    desc_str="Linux system infrastructure for supporting various applications"
    name_str=""

    write_part
}

fpga_part ()
{
    pn_str="P60-001383"
    local ver_temp=`rpm -q fpga-image | sort | tail -1`
    ver_str=`echo $ver_temp | sed -e 's/fpga-image-\([0-9]*.[0-9]*-r[0-9]*\).*/\1/'`
    desc_str="FPGA for Scan Controller"
    name_str="fpga-image"

    write_part
}

kernel_part ()
{
    pn_str="None"
    ver_str=`/bin/uname -r`
    desc_str="Linux kernel"
    name_str="linux"

    write_part
}

write_file ()
{
    echo '<?xml version="1.0" encoding="utf-8"?>'
    echo '<Data>'
    app_part
    laser_user_part
    fpga_part
    kernel_part
    echo '</Data>'
}

write_file > ${INSTALL_CURRENT_VERSIONS}

echo  ${INSTALL_CURRENT_VERSIONS}
